=== man/Makefile ===
all:
	a2x -f manpage --asciidoc-opts="-f asciidoc.conf" i3.man
clean:
	rm -f i3.xml i3.1 i3.html
