=== man/Makefile ===
all:
	a2x -f manpage --asciidoc-opts="-f asciidoc.conf" i3.man
	a2x -f manpage --asciidoc-opts="-f asciidoc.conf" i3-msg.man
	a2x -f manpage --asciidoc-opts="-f asciidoc.conf" i3-input.man
clean:
	rm -f i3.{1,html,xml} i3-msg.{1,html,xml} i3-input.{1,html,xml}
