=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

build: build-stamp
build-stamp:
	dh build
	touch build-stamp

clean:
	dh clean

install: build install-stamp
install-stamp:
	dh install
	touch install-stamp

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C man
	$(MAKE) -C docs

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/i3-wm/ install

override_dh_strip:
	dh_strip --dbg-package=i3-wm-dbg
